/* Header navbar */
nav.header {
  height: var(--header-height);
}
main {
  padding-top: var(--header-height);
}
/* Navbar at small-width */
@media (max-width: 991px) {
  body.collapsible-header-right-open {
    main {
      padding-top: var(--header-mobile-open-height);
    }
    &:has(.mobile-header-short) main {
      padding-top: calc(var(--header-mobile-open-height) - 3rem);
    }
    nav.header {
      justify-content: normal;
    }
    a.header-logo {
      margin: 0.625rem 0 1rem;
    }
  }
  nav.header {
    flex-direction: column;
    align-items: normal;
    justify-content: center;
  }
  nav.header:has(.collapse.show) {
    height: var(--header-mobile-open-height);
  }
  nav.header:has(.mobile-header-short):has(.collapse.show) {
    height: calc(var(--header-mobile-open-height) - 3rem);
  }
}

.mobile-header .collapse {
  justify-content: end;
}

@media (min-width: 992px) {
  .mobile-header .collapse {
    display: flex;
    max-height: initial;
    justify-content: space-between;
    align-items: center;
  }

  body.home .mobile-header .collapse,
  body:has(.template-search-results) .mobile-header .collapse {
    justify-content: end;
  }
}

/* Default page layout */
.template-single {
  height: 100vh;
}
.sidebar-container {
  grid-area: sidebar;
}
.main-content {
  position: relative;
  padding-bottom: var(--footer-height);
  grid-area: main;
  margin-right: 0.75rem;
}
.sidebar-right {
  grid-area: toc;
}
footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: var(--footer-height);
}

/* Scroll permalinks past the navbar */
h2,
h3,
h4,
h5,
h6,
:target {
  scroll-margin-top: var(--header-offset);
}

/*
 * Responsive grid
 * See https://gitlab.com/gitlab-org/gitlab-ui/-/blob/main/src/utils/breakpoints.js
 * for recommended breakpoint values.
*/
.template-single {
  display: grid;
  grid-template-areas: "sidebar . main toc .";
  grid-template-columns: var(--column-left-wide-width) 1fr minmax(var(--column-center-min), var(--column-center-max)) var(--column-right-wide-width) 1fr;
  column-gap: 0.75rem;
  transition: grid-template-columns 0.2s ease;
}
.js-toc>.toc-list {
  width: var(--column-right-wide-width);
  overflow-wrap: break-word;
  hyphens: auto;
  word-break: normal;
}

/* Small */
@media (max-width: 992px) {
  .template-single {
    display: block;
    padding: 0 2rem;
  }
  .global-nav-wrapper,
  .sidebar-right {
    display: none;
  }
}

/* Collapsible left sidebar */
.global-nav-wrapper {
  transition: width 0.2s ease;
  overflow: hidden;
}
.global-nav-wrapper > div {
  width: var(--column-left-wide-width);
  transition: opacity 0.1s ease;
}
.template-single-sidebar-collapsed {
  grid-template-columns: var(--sidebar-collapsed-width) 1fr minmax(var(--column-center-min), var(--column-center-max)) var(--column-right-wide-width) 1fr;
}
.sidebar-collapsed {
  width: var(--sidebar-collapsed-width);
}
.sidebar-collapsed > div.global-nav {
  opacity: 0;
  width: 0;
}
